/* DlgHelp.c - March 26th, 2001
**
**      Copyright (c) 1997-2001 by Gregory Braun. All rights reserved.
**
**      This module contains functions to facilitate simple dialog box
**      control element manipulations.
**
**      Called:     dlg  = window handle to the dialog box.
**                  item = control identified.
**
**      Returns:    TRUE upon success, or FALSE if an error exists.
*/

#include "AppPaths.h"

extern BOOL far SetDlgIcon (HWND dlg,int id)
{
    return (SetClassLong (dlg,GCL_HICON,(LONG) LoadIcon (applet,(LPCSTR) id)));
}

extern BOOL far SetDFocus (HWND dlg,int item)
{
    auto HWND   ctl = GetDlgItem (dlg,item);

    SetFocus    (ctl);
    Edit_SetSel (ctl,NIL,KSTRING);

    return (FALSE);
}

extern BOOL far SetDlgItemSize (HWND dlg,int item,DWORD size)
{
    auto HWND   ctl = GetDlgItem (dlg,item);

    Edit_LimitText (ctl,size - 1);

    return (TRUE);
}

/* end of DlgHelp.c - written by Gregory Braun */
